#!/bin/sh
if [ $# -lt 3 ]; then
   echo "utilisation:  mydsl_fetch librairie titre integrite {sauvegarder vers}"
   exit 1
fi
LIBRARY="$1"; TITLE="$2"; INTEGRITY="$3"; SAVETO="$4"
[ -n "$SAVETO" ] ||  SAVETO="$(cat /opt/.mydsl_dir)"
MIRROR=$(dslrc.lua Mirror)
PROTOCOL=$(dslrc.lua Protocol)

SAVEWHERE=`pwd`
if [ "$SAVETO" != "$SAVEWHERE" ]; then
   cd "$SAVETO"
   if [ "$?" != 0 ]; then
#     echo "Permission Refusee"
      exit 1
   fi
fi

if [ "$INTEGRITY" == "md5sum" ]; then
   CHECKFILE="$TITLE".md5.txt
   wget -q "$PROTOCOL"://"$MIRROR"mydsl/"$LIBRARY"/"$CHECKFILE"
else
   CHECKFILE="$TITLE"
fi

if [ -z "$DISPLAY" ]; then
  wget "$PROTOCOL"://"$MIRROR"/mydsl/"$LIBRARY"/"$TITLE"
else
   aterm +tr -bg white -fg black -geometry 80x4 -e wget "$PROTOCOL"://"$MIRROR"mydsl/"$LIBRARY"/"$TITLE"
fi

if [ "$?" == 0 ]; then
#  echo "Telechargement OK"
   "$INTEGRITY"  -c "$CHECKFILE" >/dev/null
   if [ "$?" == 0 ]; then
#    echo "Integrite OK"
     if [ "$SAVETO" != "$SAVEWHERE" ]; then
        cd "$SAVEWHERE"
     fi
     exit 0
   fi
fi
rm -f "$TITLE*"
cd "$SAVEWHERE"
exit 1
